Public Member Functions | Private Member Functions | List of all members
libetonyek::IWORKPathElement Class Reference

`#include <IWORKPathElement.h>`

Inheritance diagram for libetonyek::IWORKPathElement:

## Public Member Functions
| IWORKPathElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKPathElement()

libetonyek::IWORKPathElement::IWORKPathElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKPathElement::element | ( | int | name | ) |
| override private

The documentation for this class was generated from the following files:

- IWORKPathElement.h
- IWORKPathElement.cpp